Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba
Class ClosedDBConnection

    java.lang.Object
      org.makumba.db.TransactionImplementation
          org.makumba.db.makumba.DBConnection
              org.makumba.db.makumba.DBConnectionWrapper
                  org.makumba.db.makumba.ClosedDBConnection

All Implemented Interfaces:
  Database, Transaction

     class ClosedDBConnection

extends DBConnectionWrapper

Nested Class Summary

Nested classes/interfaces inherited from class org.makumba.db.makumba.DBConnection
`DBConnection.QueryAndArgs`

Field Summary

Fields inherited from class org.makumba.db.makumba.DBConnectionWrapper
`created, t, wrapped`

Fields inherited from class org.makumba.db.makumba.DBConnection
`dataSource, db, lockRecord, locks, queries, whereDelim`

Fields inherited from class org.makumba.db.TransactionImplementation
`ddp, qp, tp`

Method Summary
`static DBConnection` | `getInstance()`
`DBConnection` | `getWrapped()`

Methods inherited from class org.makumba.db.makumba.DBConnectionWrapper
`close, commit, delete, delete, executeQuery, finalize, getCreationStack, getHostDatabase, getName, insert, insert, lock, read, rollback, setContext, toString, unlock, update, update`

Methods inherited from class org.makumba.db.makumba.DBConnection
`deleteLock, executeQuery, executeReadQuery, executeUpdate, getDataSource, getNullConstant, getQuery, insertFromQuery, setDataSource, unlockAll, writeReadQuery`

Methods inherited from class org.makumba.db.TransactionImplementation
`delete1, extractReadFields, getParameterName, getPrimaryKeyName, getPrimaryKeyName, getSetJoinSyntax, getTransactionProvider, paramsToMap, paramsToMap1, transformTypeName, treatParam`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static DBConnection getInstance()

### getWrapped

    public DBConnection getWrapped()

  Overrides:
    `getWrapped` in class `DBConnectionWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20